<?php
/*
Plugin Name: FloorPlanOnline Virtual Tour Plugin
Plugin URI: http://floorplanonline.com/wordpress-plugin/
Description: The FloorPlanOnline Virtual Tour plugin allows you to easily embed your real estate virtual tour content into your WordPress website. In order to use, you need to have a virtual tour powered by FloorPlanOnline, including TourProducer or one of our resellers.
Version: 1.1.0
Author: FloorPlanOnline LLC.
Author URI: http://www.floorplanonline.com
*/

/*  Copyright 2013  FloorPlanOnline LLC.   (email : orders {at} floorplanonline.com)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/

function fpopopup_embedded_code( $atts ) {
    
    extract( shortcode_atts( array(
        'emt' => 'popover',
        'mtp' => 0.80,
        'bnm' => 1,
        'tbs' => '10000000',
        'swi' => '0',
        'uid' => rand(0, 9999),
        'oid' => '62568',
        'bgc' => '#000000',
        'ftc' => '#ffffff',
        'wid' => '500',
        'wid' => '400'
    ), $atts ) );
    
    switch($emt){
        case 'embeded':    
            $embedded_code_sample = '
                <script type="text/javascript">
                        document.write(\'<iframe style="width:%wid%px; height:%hid%px; border:none;" scrolling="no" id="fpo_emb_iframe"\'+ 
                                        \'src="http://vifp.com/presentation_v2/presentation.php?order_id=%oid%&mode=branded&ws=1&t_mode=html5&btns=%tbs%&swi=%swi%&bgc=%bgc%&ftc=%ftc%&width=%wid%&height=%hid%"></iframe>\');
                </script>';
        break;
        case 'popover':
        	wp_enqueue_script('jquery');
        	wp_enqueue_script('jquery-ui-core');
        	wp_enqueue_script('jquery-ui-position');
        	wp_enqueue_script('jquery-ui-widget');
        	wp_enqueue_script('jquery-ui-button');
        	wp_enqueue_script('jquery-ui-draggable');
        	wp_enqueue_script('jquery-ui-resizable');
        	wp_enqueue_script('jquery-ui-dialog');
        	wp_enqueue_script('jquery-ui-mouse');
        	
            $embedded_code_sample = '
                <link rel="stylesheet" href="http://vifp.com/emb_src/css/embeddable.css" type="text/css" />
                <script type="text/javascript">
                    if(!window.jQuery){
                        document.write(\'<script type="text/javascript" src="http://vifp.com/emb_src/js/embeddable.jq.js"><\'+\'/script>\');
                    }
                </script>
                <script type="text/javascript">
                        document.write(\'<script type="text/javascript" src="http://vifp.com/emb_src/js/jquery.blockUI.2.6.0.min.js"><\'+\'/script>\');
                </script>
                <img class="embeddable_img" id="img_%uid%" src="%bnm%">
                <div id="dialog_%uid%" style="display:none"></div>
                <script type="text/javascript">
                   loaded_%uid%  = false;
                   jQuery("#img_%uid%").click(function(){
                         isiPad = ((navigator.userAgent.match(/iPad/i) != null) || (navigator.platform.indexOf("iPhone") != -1) || (navigator.platform.indexOf("iPod") != -1));
                         if(isiPad){
                            window.open("http://vifp.com/presentation_v2/presentation.php?order_id=%oid%\u0026mode=branded\u0026ws=1\u0026t_mode=html5\u0026btns=%tbs%swi=%swi%\u0026bgc=%bgc%\u0026ftc=%ftc%");
                            return false;
                         }
                         multp   = %mtp%;
                         var_x   = screen.width;
                         var_x   = Math.ceil(var_x*multp);
                         var_xi  = Math.ceil(var_x);
                         var_y   = screen.height;
                         var_y   = Math.ceil(var_y*multp);
            			 var_yi  = Math.ceil(var_y);
            		
						pre_message = \'<div style="height:20px; position:absolute; right:0px;"><a href="#" class="helpClose" id="closeVTembed"><em>Close</em></a></div>\';
            		
						if(!loaded_%uid%){
							tour_iframe = pre_message+\'<iframe style="width:var_xpx; height:var_ypx; border:none;" scrolling="no" id="fpo_pop_iframe" src="http://vifp.com/presentation_v2/presentation.php?order_id=%oid%&mode=branded&ws=1&t_mode=html5&btns=%tbs%&swi=%swi%&bgc=%bgc%&ftc=%ftc%"></iframe>\';
							tour_iframe = tour_iframe.replace(\'var_x\',var_xi);
							tour_iframe = tour_iframe.replace(\'var_y\',var_yi);
							tour_iframe = tour_iframe.replace(\'"></iframe>\',\'&width=\'+var_xi+\'&height=\'+var_yi+\'"></iframe>\');
							loaded_%uid% = true;
						}
            		
						width = jQuery(document).width(); // returns width of HTML document
    				    left_var = (width - var_x)/2;
            			height = jQuery(window).height(); // returns height of HTML document
            			top_var = (height - var_y)/2;
            		
						jQuery.blockUI({ 
							message: tour_iframe,
							css: {  
							    	cursor: \'arrow\',
					                width: var_x,
					                height: var_y,
					                left: left_var,
					                top: top_var},
				            onBlock: function() { 
				                jQuery(".blockUI.blockOverlay").click(function(){
				                	jQuery.unblockUI(); 
				            	}).css({\'cursor\' : \'pointer\'});
            		
				                jQuery("#closeVTembed").click(function(){
				                	jQuery.unblockUI();
				                });
				            }
						});            		
                 });
            </script>';
        break;
    }
    
    $bnm = "embeddable".$bnm.".png";
    
    foreach( $atts as $key => $value ){
        
        if($key == 'bnm' && $value < 1){
            $filename       = "http://vifp.com/setup_embed_object.php?action_id=".$oid;
            $path           = file_get_contents($filename);
            $value          = $path."embeddable".$value.".png";
        } elseif($key == 'bnm') {
            $value          = "http://vifp.com/images/embeddable/embeddable".$value.".png";
        }
        
        $embedded_code_sample = str_replace("%".$key."%", $value, $embedded_code_sample);
    }
    

    return $embedded_code_sample;

    /*
    
    global $embedded_code_sample;
    
    echo $embedded_code_sample;

    */
}


add_shortcode('fpotour', 'fpopopup_embedded_code');

?>